aboutsummaryrefslogtreecommitdiffstats
path: root/update-netboot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update-netboot.sh')
-rwxr-xr-xupdate-netboot.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/update-netboot.sh b/update-netboot.sh
index e72c065..99ff659 100755
--- a/update-netboot.sh
+++ b/update-netboot.sh
@@ -2,7 +2,7 @@
REPO="http://dl-cdn.alpinelinux.org/alpine"
BRANCHES="edge latest-stable"
-ARCHS="x86 x86_64"
+ARCHS="x86 x86_64 aarch64"
IMGDIR="/var/www/localhost/htdocs/images"
# CA Settings
@@ -80,7 +80,7 @@ for branch in $BRANCHES; do
if ! compare_files $tmpfile "$CACHE_DIR"/$branch-$arch.lst; then
echo "Dependencies updated for: $branch/$arch"
./mknetboot.sh --release "$branch" --arch "$arch" --outdir "$tmpdir"
- (cd "$tmpdir" && sha512sum * > alpine-netboot-$branch-$arch.sha512)
+ (cd "$tmpdir" && sha512sum * > alpine-netboot-$branch-$arch.sha512 || true)
sign_images "$tmpdir"
rm -rf "$IMGDIR"/$branch/$arch
mv "$tmpdir" "$IMGDIR"/$branch/$arch